"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _1 = require(".");
var getExportDocType_1 = require("./getExportDocType");
var path = require('canonical-path');
describe('getExportDocType', function () {
    var parser;
    var basePath;
    beforeEach(function () {
        parser = new _1.TsParser(require('dgeni/lib/mocks/log')(false));
        basePath = path.resolve(__dirname, '../../mocks');
    });
    it('should return the accessibility of class members', function () {
        var parseInfo = parser.parse(['tsParser/getExportDocType.test.ts'], basePath);
        var moduleExports = parseInfo.moduleSymbols[0].exportArray;
        expect(moduleExports.length).toEqual(7);
        var docTypes = moduleExports.map(function (e) { return getExportDocType_1.getExportDocType(e); });
        expect(docTypes).toContain('interface');
        expect(docTypes).toContain('class');
        expect(docTypes).toContain('function');
        expect(docTypes).toContain('enum');
        expect(docTypes).toContain('let');
        expect(docTypes).toContain('const');
        expect(docTypes).toContain('type-alias');
    });
});
//# sourceMappingURL=getExportDocType.spec.js.map