"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var typescript_1 = require("typescript");
var TsParser_1 = require("../TsParser");
/**
 * Host that will be used for TypeScript AST operations that should be configurable or shared
 * across multiple doc types.
 */
var Host = /** @class */ (function () {
    function Host() {
        /** Whether multiple leading comments for a TypeScript node should be concatenated. */
        this.concatMultipleLeadingComments = true;
        /** Flags that will be used to format a Type into a string representation. */
        this.typeFormatFlags = typescript_1.TypeFormatFlags.None;
    }
    Host.prototype.getContent = function (declaration) {
        return TsParser_1.getContent(declaration, this.concatMultipleLeadingComments);
    };
    Host.prototype.typeToString = function (typeChecker, type) {
        return typeChecker.typeToString(type, undefined, this.typeFormatFlags);
    };
    return Host;
}());
exports.Host = Host;
//# sourceMappingURL=host.js.map